This file documents Lookup, a search interface.

Copyright (C) 1999 NISHIDA Keisuke

Permission is granted to make and distribute verbatim copies of this
manual provided the copyright notice and this permission notice are
preserved on all copies.

Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.

Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be stated in a
translation approved by the Free Software Foundation.

Lookup User's Guide
*******************

これは Lookup を利用するための最初のステップについてまとめた手引き書で
す。初心者にとって重要な情報をコンパクトにまとめてあるので、まずはここ
で概要を把握し、初期設定を整えて下さい。

はじめに
********

Lookup って何?
==============

「電子辞書をもっと身近に使いやすく!」それが Lookup の基本となる理念で
す。ちょっと分からない用語があれば、さっとキーを叩けば調べられる。そう
した快適さを追及するため、ソフトウェア開発と辞書情報の整備に取り組んで
います。

  1. どんな辞書でも同じように検索したい!

     どれも同じことをするだけなのに、辞書毎に検索ソフトを変えるなんて
     たまったもんじゃありません。使い慣れた一つのソフトで、あらゆる辞
     書を検索したい。それは当然、満たされるべき要求です。Lookup はあら
     ゆる種類の辞書に対応しようとします。それが可能であり、求められ、
     そして許される限り。

  2. 素早く手軽に検索したい!

     「これってどういう意味だろう?」そう思ったときに、ちょいと指を動か
     せば、即座に検索出来るのがベストです。どんなに高度なデータベース
     でも、入力に手間取ってしまうのでは非効率。Lookup は余計な入力を要
     求しません。

     代わりに必要なのが、自分で辞書を整理すること。関心ある分野の情報
     だけを手元に置いて、そこから一気に検索します。検索の度に辞書を選
     ぶ必要もありません。全部見付けてそれから選ぶ方が楽ですよね?

  3. 結果は見やすく表示したい!

最低限の基礎知識
================

Lookup のインストールや必要最小限の設定については、Lookup 配布物に附属
のファイル `README' を参照して下さい。ここでは概念的な事柄について説明
します。

Lookup では多くの種類の辞書を一度に扱うことが出来ますが、そのため辞書
との連絡役

Lookup は様々な種類の辞書に対応しており、それぞれの辞書との連絡係とな
る部分を特に "検索エージェント" と呼んでいます。

User <-> Lookup <-> Search Agent <-+-> Dictionary Supplement Package
--+

準備編
******

ここでは Lookup で用いる辞書の準備項目について説明します。

フリー辞書を利用する
====================

Lookup ではネットワークで配布されているいくつかのフリーまたは無料の辞
書を利用することが出来ます。そのような辞書の一覧が、辞書データベース
(1) のページにまとめられているので参照して下さい。

Lookup が標準で対応しているフリー辞書の形式は、「SDIC フォーマット」と
「dictd フォーマット」の二つです。利用する辞書に合わせて準備して下さい。

--------- Footnotes ---------

(1)  `http://openlab.ring.gr.jp/lookup/dicts/'

SDIC フォーマット
-----------------

"SDIC フォーマット" とは、Emacs で使えるシンプルな辞書検索ソフト SDIC
(1) で採用されている行指向の辞書形式です。grep 一つで高速に検索を行な
えるのが特徴です。

SDIC 辞書の準備
...............

SDIC 辞書は `.sdic' を拡張子に持つ単一のファイルからなります。単純ゆえ
の柔軟性で、要求に応じて三つの検索方式が用意されています。

  1. direct 方式

     辞書を Emacs のバッファに読み込んで、直接検索を行なう方式です。メ
     モリを圧迫するなどのデメリットもありますが、Emacs 以外の外部コマ
     ンドを必要としないため Windows ユーザにも手軽に利用出来るという利
     点があります。

  2. grep 方式

     外部コマンドとして `fgrep' もしくは `grep' を用いて検索を行なう方
     式です。十分に高速で便利なため、通常はこれを利用します。

  3. array 方式

     外部コマンドとして SUFARY (2) というソフトウェアを用いて検索を行
     なう方式です。これはあらかじめ特別なインデックスを生成することで
     検索を高速化します。5MB を超えるような大きなサイズの辞書を用いる
     場合には、こちらの利用が有効かもしれません。

grep 方式を用いるには、外部コマンドとして `fgrep' もしくは
`grep' を実行パスに置いて下さい。一般的な UNIX システムであれば
標準で附属しています。array 方式を用いるには、SUFARY をインストールして
`mkary' でインデックスを生成して下さい。

辞書は好きなディレクトリに置いて構いません。direct 方式を用いる場合は、
Emacs 19.34 以降なら辞書を `gzip' などで圧縮しておくことも出来ます。
`~/.emacs' で `(auto-compression-mode t)' としておいて下さい。

SDIC 辞書の利用
...............

SDIC 辞書は、Lookup の ndic エージェントで利用することが出来ます。辞書
を置いたディレクトリを引数にして、例えば次のように設定して下さい。

     (setq lookup-search-agents '((ndic "/usr/local/dict")))

ディレクトリに含まれる全ての `.sdic' ファイルが辞書として認識されます。

--------- Footnotes ---------

(1)  `http://pine.kuee.kyoto-u.ac.jp/member/tsuchiya/sdic/index.html'

(2) `http://cactus.aist-nara.ac.jp/lab/nlt/ss/'

dictd フォーマット
------------------

"dictd フォーマット" とは、DICT プロトコル(RFC 2229)に対応した辞書サー
バである dictd (1) が独自に採用している辞書形式です。単純かつ十分に実
用的なフォーマットです。

dictd 辞書の準備
................

dictd 辞書は、`.index' を拡張子に持つインデックス・ファイルと、`.dict'
を拡張子に持つデータ・ファイルの二つからなります。両方のファイルを適当
な同じディレクトリに置いて下さい。

`.dict' ファイルは dictd に附属の `dictzip' というコマンドで圧縮するこ
とが出来ます。詳しくは dictd のマニュアルを参照して下さい。

dictd 辞書の利用
................

dictd 辞書は、Lookup の ndic もしくは ndict エージェントで利用すること
が出来ます。ndic では辞書の直接検索を行ない、ndict では DICT プロトコ
ルを用いてサーバから検索を行ないます。ndic の方がお手軽ですが、ndict
の方がより高速な検索が可能です。

  1. ndic を用いる場合

     辞書を置いたディレクトリを引数にして、例えば次のように設定して下
     さい。

          (setq lookup-search-agents '((ndic "/usr/local/dict")))

     ディレクトリに含まれる全ての `.index' ファイルが辞書として認識さ
     れます。先の SDIC 辞書と混在してあっても構いません。辞書を圧縮し
     てある場合には、`dictzip' コマンドを実行パスの通ったディレクトリ
     にインストールしておいて下さい。

  2. ndict を用いる場合

     あらかじめ DICT サーバを立ち上げておいて、次のように設定して下さ
     い。

          (setq lookup-search-agents '((ndict "dict-server")))

     DICT サーバの立ち上げについては、see DICT server を参照して下
     さい。

--------- Footnotes ---------

(1)  `http://www.dict.org'

CD-ROM 辞書を利用する
=====================

Lookup では多くの市販の CD-ROM 辞書を利用することが出来ます。利用可能
な辞書の一覧が、辞書データベース (1) のページにまとめられているので参
照して下さい。

Lookup は標準で、電子ブックや EPWING 規約に準拠した CD-ROM 書籍の利用
に対応しています。別配布の専用プログラムを用意することで、独自フォーマッ
トの CD-ROM 辞書についても利用出来るものがあります。

--------- Footnotes ---------

(1)  `http://openlab.ring.gr.jp/lookup/dicts/'

電子ブック・EPWING
------------------

電子ブックや EPWING 規約は、日本で一般的な電子辞書の共通規格です。パッ
ケージの外箱に書かれた「EBXA」とか「EPWING」といったロゴが目印です。
(以下、まとめて EPWING 辞書と呼ぶ)

EPWING 辞書の準備
.................

EPWING 辞書は CD-ROM から直接検索せずとも、あらかじめハードディスクに
コピーしておくことで、より便利に高速に検索を行なえます。ディスク容量に
余裕のある人は、認められた範囲内でコピーしておくといいでしょう。

このとき、太田氏作の EPWUTIL (1) や、笠原氏作の EBライブラリ (2) に含
まれる `ebzip' といったツールを用いることで、辞書のサイズを小さく収め
ることが可能です(1/2 〜 1/10 程度)。詳しくは、それぞれのプログラムに附
属のドキュメントを参照して下さい。

EPWING 辞書の利用
.................

EPWING 辞書は、Lookup の ndeb もしくは ndtp エージェントで利用すること
が出来ます。ndeb は個人での CD-ROM 辞書利用に向いており、ndtp はネット
ワークを介した辞書の共有に向いています。

  1. ndeb を用いる場合

     検索を行なうための外部コマンドとして `eblook' (3) が必要です。あ
     らかじめ入手してインストールしておいて下さい。

     もし外字を表示出来る環境にないか、外字を用いたくないという場合に
     は、外字置き換え設定ファイルである Appendix (4) も入手して下さい。

     Lookup の設定は、例えば次のようにして下さい。

          (setq lookup-search-agents '((ndeb "/cdrom" :appendix "/your/appendix")))

  2. ndtp を用いる場合

     あらかじめ NDTP サーバを立ち上げておいて、次のように設定して下さ
     い。

          (setq lookup-search-agents '((ndtp "dserver")))

     NDTP サーバの立ち上げについては、see NDTP server を参照して下
     さい。

--------- Footnotes ---------

(1)  `ftp://ftp.nerimadors.or.jp/pub/epwutil/'

(2) `http://www.sra.co.jp/people/m-kasahr/eb/'

(3) `http://openlab.ring.gr.jp/lookup/eblook/'

(4) `http://www.sra.co.jp/people/m-kasahr/eb/'

独自フォーマット
----------------

現在、小学館の「ランダムハウス英語辞典」から検索が行なえるようになって
いますが、まだ開発段階にあります。興味のある方は、電子辞書オープンラボ
(1) の edict ML で尋ねて下さい。

--------- Footnotes ---------

(1)  `http://openlab.ring.gr.jp/edict/'

外字表示の設定
--------------

Lookup は CD-ROM 書籍などに含まれる外字の表示をサポートしています。外
字を表示するには、それぞれの検索エージェントで適切な設定を行なった上で、
Lookup を次のように設定して下さい。

  1. GNU Emacs 及び Mule の場合:

     Emacs でビットマップ表示を行なうための bitmap-mule パッケージ (1)
     を用いて外字を表示します。附属のドキュメントなどを参考にインストー
     ルを行なって下さい。もし設定がよくわからなければ、Lookup の FAQ
     にも情報があるので参考にして下さい。

     bitmap-mule の準備が出来たら、次のいずれかの方法で準備が完了です。

       1. Lookup の起動前に bitmap-mule をロードする。

          例えば `~/.emacs' に `(require 'bitmap)' と書いておいて下さ
          い。

       2. 初期化ファイルで `lookup-use-bitmap' を `t' にセットする。

          この場合、実際に外字を表示する際に bitmap-mule が読み込まれ
          ます。

  2. XEmacs の場合:

     特別な準備は必要ありません。Lookup は XEmacs の glyph の機能を利
     用して、外字を一種の画像として扱います。設定は自動で行なわれます。

逆に、外字を表示させたくない場合には、変数 `lookup-enable-gaiji' を
`nil' に設定して下さい。これはデフォルトで `t' となっています。

--------- Footnotes ---------

(1)  `ftp://ftp.jaist.ac.jp/pub/GNU/elisp/bitmap-mule/'

ネットワーク辞書を利用する
==========================

電子辞書をネットワークで共有して利用したい場合は、辞書サーバを立ち上げ
て検索サービスを提供するのが一つの方法です。また、インターネットには自
由にアクセス出来る辞書サーバも存在し、それらにアクセスすることも可能で
す。

Lookup が対応している辞書サーバは、"NDTP サーバ" と"DICT サーバ" の二
つです。ここではそれぞれについて、サーバの紹介と Lookup の設定について
説明します。

NDTP サーバ
-----------

NDTP(Network Dictionary Transport Protocol)とは、主に日本で使われてい
る、CD-ROM 辞書をネットワークで利用するための検索用プロトコルです。

NDTP サーバの準備
.................

NDTP サーバとしては、現在 NDTPD (1) が主に用いられています。附属のドキュ
メントを参照して、インストール、及び設定を行なって下さい。

NDPTD

NDTP サーバの利用
.................

例えば次のように設定して下さい。

     (setq lookup-search-agents '((ndtp "dserver")))

--------- Footnotes ---------

(1)  `http://www.sra.co.jp/people/m-kasahr/ndtpd/'

DICT サーバ
-----------

DICT とは、RFC 2229 で定義されている辞書検索のためのプロトコルです。

DICT サーバの準備
.................

DICT サーバとして、DICT プロジェクト (1) により `dictd' が公開されてい
ます。附属のドキュメントを参照して、インストール、及び設定を行なって下
さい。

DICT サーバの利用
.................

例えば次のように設定して下さい。

     (setq lookup-search-agents '((ndict "dict.org")))

--------- Footnotes ---------

(1)  `http://www.dict.org'

その他の特殊な検索システム
==========================

Lookup では他にも、次のような特殊な検索エージェントが標準で利用可能で
す。好みに応じて準備を整えて下さい。

日本語の読みを調べる
--------------------

`ndkks' は、日本語の漢字の読みを調べるための検索エージェントです。漢字
を含む検索語が指定された場合、漢字かな変換プログラム KAKASI を用いてそ
の読みを調べます。

漢字の含まれる検索語を指定した場合、漢字かな変換プログラム KAKASI を用
いてその読みを調べて表示します。

KAKASI は次のところから `kakasi-2.2.5.tar.gz'(本体ファイル)と
`kakasidict.940620.gz'(辞書ファイル)の名称で入手可能です。

     `ftp://sunsite.sut.ac.jp/pub/asia-info/japanese-src/packages/'

次のように設定して下さい。

     (setq lookup-search-agents '((ndkks)))

スペルチェックとスペル検索
--------------------------

`ndspell' は、Lookup でスペルチェックを行なうための検索エージェントで
す。もし検索語を普通に検索して何も見付からなかった場合、スペルチェック
を行なってからもう一度再検索を試みます。

ndspell は外部コマンドとして Ispell と grep を利用しています。Ispell
は対話型のスペルチェックコマンドで、grep は言わずと知れた UNIX ツール
です。どちらも GNU の FTP サイトなどから入手可能です。

     `ftp://ftp.gnu.org/pub/GNU/'

このエージェントは単独では用いずに、他の辞書と組み合わせて、例えば次の
ように設定して下さい。

     (setq lookup-search-agents '((ndic "/usr/local/dict") (ndspell)))

今日の運勢をチェックする
------------------------

`ndcookie' は、検索時に cookie ファイル(引用集)から一句抜き出して表示
するための検索エージェントです。`fortune' プログラムと同様の働きをしま
す。

利用出来るファイルの例としては、Emacs に附属の Zippy ファイルがありま
す。次のように設定して下さい。

     (setq lookup-search-agents '((ndcookie "yow.lines")))

活用編
******

ここでは Lookup で実際に辞書を用いて検索を行なう方法について説明します。

基本的な設定例
==============

以上が終われば、`~/.emacs' ファイルに設定を書き込みます。基本的には変
数 `lookup-search-agents' をセットするだけです。利用したい検索エージェ
ントの数だけ、設定を並べることが出来ます。

例えば、NDTP サーバがホスト `dserver' で動いており、CD-ROM 辞書を
`/cdrom' にマウントしているのであれば、設定は次のようになります。

     (setq lookup-search-agents '((ndtp "dserver") (ndeb "/cdrom")))

さあ、辞書の設定は終わりました。しかし実際には、管理者の方が特別に設定を
行なってでもいない限り、他にもいくつかの設定が必要となります。実用上、
`~/.emacs' には次のように書いておくとよいでしょう。

     ;;;
     ;;; Lookup Setup Example
     ;;;

     ;; オートロードの設定
     (autoload 'lookup "lookup" nil t)
     (autoload 'lookup-region "lookup" nil t)
     (autoload 'lookup-pattern "lookup" nil t)

     ;; キーバインドの設定
     (define-key ctl-x-map "l" 'lookup)              ; C-x l - lookup
     (define-key ctl-x-map "y" 'lookup-region)       ; C-x y - lookup-region
     (define-key ctl-x-map "\C-y" 'lookup-pattern)   ; C-x C-y - lookup-pattern

     ;; 検索エージェントの設定
     (setq lookup-search-agents '((ndtp "dserver") (ndeb "/cdrom")))

最初の段落では、Lookup の各コマンドを実行したとき、自動的にプログラム
を読み込むように設定しています。もし Emacs 起動時に初期化を済ませてし
まうことがお好みなら、代わりに `(require 'lookup)' などと書いておけば
よいでしょう。

二番目の段落では、コマンドを実行するためのキーバインドを定義しています。
これは必須ではありませんが、上記のコマンドはよく用いるので、適当なキー
に割り当てておくと便利です。各自で好みのキーにバインドして下さい。

最後の段落では、利用する検索エージェントを設定しています。これは前節で
説明した通りです。各自のものに合わせて設定して下さい。

以上が終われば、式を評価するなり、Emacs を再起動するなりして、設定を有
効にして下さい。

起動するには
============

お待たせしました。それでは Lookup を動かしていきましょう。まず手始めに
`M-x lookup' として、プログラムが起動することを確認して下さい。

     M-x lookup RET =>

     ======== Lookup Windows ========================================
     ----------------------------------------------------------------
     Type `m' to select, `u' to unselect, `?' for help.

     % Identifier          Title                Method
     - ----------          -----                ------
     * ndtp+dserver:KOKUGO 国語辞典             =<>
     * ndeb+/cdrom:EIWA    英和辞典             =<>
     * ndeb+/cdrom:WAEI    和英辞典             =<>

     ----------------------------------------------------------------
     -J:%*  Lookup: *Dictionary List*      (Select Abbrev)--L5--C0--A
     ----------------------------------------------------------------
     ================================================================

上のような画面が表示されましたか? もしエラーが起こったり、あるいは一覧
が表示されないようなら、辞書やプログラムの設定に失敗しているかもしれま
せん。問題点を確認して、もう一度やり直してみて下さい。よくあるミスなら
FAQ に情報があるかもしれませんし、わからないことがあればメールで尋ねて
もらっても一向に構いません。

このとき表示されるバッファを "辞書一覧バッファ" と呼びます。上の例では、
「国語辞典」「英和辞典」「和英辞典」の三つの辞書が使えるようになってい
ます。以下、これらの辞書を例に説明していきます。

行頭に `*'(アスタリスク)のマークが付いているのは、その辞書を検索に用い
るものとして、辞書が選択されているということを表わしています。上の場合、
三つ全ての辞書から一度に検索が行なわれるという意味になります。通常、最
初は利用出来る全ての辞書が選択状態になっています。

`Identifier' とあるコラムには、辞書を特定するための名称が表示されてい
ます。これは利用している検索エージェント(AGENT)と、辞書の所在
(LOCATION)、及び辞書名(NAME)とを組み合わせて、`AGENT+LOCATION:NAME' と
いう形で表わされます。本書ではこれを"辞書ID" と呼び、`NAME' で表わされ
る "辞書名" とは区別します。また同様に、`AGENT+LOCATION' の部分は "エー
ジェントID" と呼びます。

`Title' とあるコラムには、辞書のタイトルが表示されます。これは検索結果
の出力などに、普段用いられるものです。オプション設定により自由に変更す
ることも可能ですから、後で見やすいものに変えておきましょう。

最後の `Methods' とあるコラムには、辞書が対応している検索方式が示され
ています。これは各種検索方式がそれぞれ一つの記号で表わされており、上の
場合はどの辞書も「前方一致検索」「後方一致検索」「完全一致検索」に対応
しているという意味になります。詳しくは後ほど説明します。

このバッファでは辞書の一覧を確認する以外にも、辞書の選択状態を切り替え
るなどいくつかの操作が可能となっています。試しに `?' を押してみて下さ
い。別のバッファにコマンドの一覧が表示されましたね? Lookup の各バッファ
では、`?' キーを押すことで簡単なコマンド一覧が出るようになっているので、
ちょっと調べたいときにご利用下さい。

どこでも使えるキー操作をもう一つ。`q' を押せば、そのバッファを抜けて元
の作業に戻ることが出来ます。さあ、それでは辞書の確認はこの辺にして、次
のステップに進みましょう。

検索してみよう
==============

いよいよ検索を行ないます。最も代表的な検索コマンドとして、`M-x
lookup-region' と `M-x lookup-pattern' の二つがあります。それぞれリー
ジョンの内容、及びミニバッファからの入力を検索語に、検索を開始します。

     M-x lookup-pattern RET test RET =>

     ======== Lookup Windows ========================================
     ----------------------------------------------------------------
     国語辞典            -!-テスト
     英和辞典            test

     ----------------------------------------------------------------
     -J:%*  Lookup: *Entry* {*:test} [2]      (Entry Abbrev)--L1--C20
     ----------------------------------------------------------------
     テスト
     [名] 1. 試験....

     ----------------------------------------------------------------
     -J:%*  Lookup: *Content* {テスト}      (Content Abbrev)--L1--C0-
     ----------------------------------------------------------------
     ================================================================

二つのバッファが表示されました。上側のバッファは "Entry バッファ" と言
い、検索の結果見付かったエントリを一覧します。ここでは二つのエントリが
表示されています。-!- とあるのは、そこにポイントがあるという印です。つ
まり、現在一つ目の「テスト」というエントリが選択されています。

下側のバッファは "Content バッファ" と言い、選択されているエントリの本
文が表示されます。Entry バッファで SPC を押していけば、内容が次々と表
示されます。

上の例では `test' という検索語で検索を行ないましたが、ここで入力を次の
ようにすることで、検索方式を様々に切り換えることが出来ます。

word
     単語検索。標準の検索方法。
word*
     前方一致検索。指定した文字列で始まる語を見付ける。
*word
     後方一致検索。指定した文字列で終わる語を見付ける。
*word*
     部分一致検索。指定した文字列を含んだ語を見付ける。
'word'
     完全一致検索。指定した文字列と一致する語を見付ける。
@word
     キーワード検索。指定した文字列をキーワードに持つエントリを見付け
     る。

ひとまずこれだけ覚えておけば十分でしょう。検索方式は他にもまだいくつか
ありますが、詳しくは後ほど説明します。ここではもう少し、検索結果の見方
について話を進めていきます。

結果を見ていく
==============

以下、Entry バッファでよく用いられるコマンドについて説明します。キー操
作を忘れてしまったときには、`?' を押せば確認出来ます。

   * 本文のスクロール
     `SPC'
          一画面分、先に進む。
     `DEL'
          一画面分、前に戻る。
     `<'
          バッファの先頭へ戻る。
     `>'
          バッファの最後へ進む。

   * エントリの選択
     `n'
          次のエントリに移動。
     `p'
          前のエントリに移動。
     `M-n'
          検索履歴を次に進む。
     `M-p'
          検索履歴を前に戻る。

   * 本文に対する操作
     `s'
          Content バッファで `isearch-forward' を実行。
     `w'
          Content バッファの内容をキルリングにセーブ。
     `L'
          リファレンスを一覧。

まだまだあります。見付かったエントリが多くて一覧が見辛いときには、`v'
を押すことで "Overview モード" に入ります。Overview モードでは Content
バッファがクローズされ、Entry バッファを広く見ることが出来ます。
Overview モードを抜けるには、もう一度 `v'とするか、あるいは SPC を押し
て下さい。

逆にエントリの本文を広く見たいときには、`o' が使えます。これは
Lookup のウィンドウをフレーム一杯に広げ、一時的に表示領域を広く取ります。
`q' でバッファを閉じれば、次からまた元に戻ります。

一度バッファを閉じた後でも、もう一度 `M-x lookup' とすることで、最後に
Lookup を抜けたときの状態が取り戻されます。`q' と `M-x lookup'を繰り返
すことで、何度でも検索結果を見直すことが出来ます。

検索結果を表示したまま最初のバッファに戻りたいときには、`r' を押せばOK
です。`h' を連打すれば、Entry バッファと Content バッファの間を往復す
ることも出来ます。

これだけ覚えておけば、日常の作業は十分に行なえるでしょう。しかし
Lookupには、場合によって役に立ついくつかのコマンドが他にも用意されてい
ます。次章以降で、それらを含む Lookup の完全な機能について説明します。

さて、以上で Lookup を使うための短かいツアーも終了です。いかがでしょう
か?  Lookup はあなたの要望を満たしてくれそうですか? もし使っていて「もっ
とこんな機能が欲しいぞ」とかいうことがありましたら、遠慮なくメールでで
も伝えて下さい。

それでは、あなたのより快適な検索ライフを祈って。Happy Looking Up!

情報編
******

ここでは Lookup と関連のある情報についてまとめて紹介します。

ホームページの構成
==================

一般情報
--------

ダウンロードサイト一覧
スクリーンショット
メーリングリスト
全文検索

ユーザ情報
----------

ユーザーズガイド (see Lookup User's Guide (lookup-guide).
ring.gr.jp/lookup/dicts/')
     Lookup で使える辞書の情報を集めたページです。フリーな辞書データや、
     辞書をより使いやすくするための設定ファイル集などがまとめられてい
     ます。
Lookup NEWS (`NEWS')
     Lookup のバージョンアップに伴なう主な変更点をまとめたファイルです。
     どこが変わったか確認し、必要であれば設定ファイルを更新して下さい。
Lookup FAQ (`etc/FAQ')
     よくある質問とその回答のリストです。何か疑問に思うことがあるとき
     には、まず最初にこれを見てみて下さい。
Lookup PROBLEMS (`etc/PROBLEMS')
     既知の問題点のリストです。バグかな? と思う前に、既に知られた問題
     でないか確認してみて下さい。

開発者情報
----------

Lookup TODO (`etc/TODO')
     これからやるべきことのリストです。

知っておくと嬉しい情報源
========================

これから更に Lookup を知ろうとする人のために、いくつかの役立つ情報源を
まとめて紹介しておきます。

関連ソフトウェア
----------------

SDIC (`http://pine.kuee.kyoto-u.ac.jp/member/tsuchiya/sdic/index.html')
     フリーに配布されている英語辞書から手軽に検索を行なうことを目的と
     したelisp の検索ソフトウェアです。このソフトウェアで用いられてい
     る SDICという辞書形式は、Lookup の ndic エージェントでも利用出来
     ます。
eblook (`http://openlab.ring.gr.jp/lookup/eblook/')
     Lookup からの利用を想定して作られている CD-ROM 辞書検索コマンドで
     す。検索のために EB ライブラリを利用しており、多くの電子ブックや
     EPWING規約に準拠した CD-ROM 辞書を扱うことが出来ます。
NDTPD (`http://www.sra.co.jp/people/m-kasahr/ndtpd/')
     CD-ROM 辞書から検索を行なう辞書サーバです。NDTP という検索プロト
     コルを実装しており、EPWING などに準拠した市販の CD-ROM 書籍をネッ
     トワークで共有することが出来ます(辞書のライセンスは別途必要です)。
DICT プロジェクト (`http://www.dict.org')
     インターネットの辞書検索プロトコル DICT(RFC 2229) などを開発して
     いるプロジェクトです。辞書サーバ dictd や、それで用いることの出来
     るフリーな辞書などが配布されています。
Namazu (`http://openlab.ring.gr.jp/namazu/"')
     多数のファイルから高速に検索を行なうための全文検索エンジンです。
     メーリングリストなど大量の情報をあらかじめインデックス化しておく
     ことで、目的の語を含んだファイルを即座に見付け出せます。

電子辞書関連リンク
------------------

電子ブックの広場 (`http://www.ebxa.gr.jp')
     電子ブック規格の公式情報ページです。規格の説明や製品紹介などがあ
     ります。
EPWING コンソーシアム (`http://www.epwing.or.jp')
     EPWING 規約の公式情報ページです。規約の説明や製品紹介などがありま
     す。
EB ライブラリ (`http://www.sra.co.jp/people/m-kasahr/eb/')
     電子ブックや EPWING 規約に対応した検索用ライブラリです。上記の
     eblookや NDTPD はこれを用いて検索してるため、Lookup の CD-ROM 検
     索はほとんどこのライブラリに依存しています。
電子辞書オープンラボ (`http://openlab.ring.gr.jp/edict/')
     電子辞書関係の情報交換や開発を目的としたホームページです。EB ライ
     ブラリが対応してないいくつかの CD-ROM 辞書から検索を行なうための
     ソフトなどが配布されています。

メーリングリスト
----------------

lookup ML (`http://openlab.ring.gr.jp/lookup/ml.html')
     Lookup について情報交換を行なうためのメーリングリストです。英語版
     と日本語版とがあります。Lookup の最新情報は、このメーリングリスト
     で得ることが出来ます。
edict ML (`http://openlab.ring.gr.jp/edict/')
     電子辞書一般について情報交換を行なうためのメーリングリストです。
     辞書を購入する上でのノウハウや、フリーな検索ツールについての話題
     などが出ています。
ndtpd ML (`http://www.sra.co.jp/people/m-kasahr/ndtpd/ml-ja.html')
     辞書サーバ NDTPD のメーリングリストです。市販の CD-ROM 辞書を利用
     するための情報がやりとりされます。このソフトウェアに含まれるEB ラ
     イブラリは Lookup の CD-ROM 検索のかなめとなっているので、CD-ROM
     辞書を利用される方はこちらにも参加されることをお勧めします。

各種 Emacs 毎の注意点
=====================

Lookup PROBLEMS(`etc/PROBLEMS')を参照。